Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.joinpoint.management
Class SignatureFactory

    java.lang.Object
      org.codehaus.aspectwerkz.joinpoint.management.SignatureFactory

    public final class SignatureFactory

extends Object

Factory class for the signature hierarchy. The helper methods here are called by the JIT jp. TODO may be worth having a cache

Author:
  Jonas Bonr , Alex Popescu

Constructor Summary
`SignatureFactory()`

Method Summary
`static CatchClauseSignatureImpl` | `newCatchClauseSignature(Class exceptionClass)` Handler signature factory
`static ConstructorSignatureImpl` | `newConstructorSignature(Class declaringClass, int joinPointHash)` Constructor signature factory
`static EnclosingStaticJoinPoint` | `newEnclosingStaticJoinPoint(Class declaringClass, String name, String description)` Enclosing signature factory, wrapped behind an EnclosingStaticJoinPoint for syntax consistency
`static FieldSignatureImpl` | `newFieldSignature(Class declaringClass, int joinPointHash)` Field signature factory
`static MethodSignatureImpl` | `newMethodSignature(Class declaringClass, int joinPointHash)` Method signature factory
`static StaticInitializerSignatureImpl` | `newStaticInitializationSignature(Class declaringClass)` Static initialization factory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureFactory

    public SignatureFactory()

Method Detail

### newMethodSignature

    public static final MethodSignatureImpl newMethodSignature(Class declaringClass,
                                                               int joinPointHash)

  Method signature factory

  Parameters:
    `declaringClass` -
    `joinPointHash` -
  Returns:

### newFieldSignature

    public static final FieldSignatureImpl newFieldSignature(Class declaringClass,
                                                             int joinPointHash)

  Field signature factory

  Parameters:
    `declaringClass` -
    `joinPointHash` -
  Returns:

### newConstructorSignature

    public static final ConstructorSignatureImpl newConstructorSignature(Class declaringClass,
                                                                         int joinPointHash)

  Constructor signature factory

  Parameters:
    `declaringClass` -
    `joinPointHash` -
  Returns:

### newCatchClauseSignature

    public static final CatchClauseSignatureImpl newCatchClauseSignature(Class exceptionClass)

  Handler signature factory

  Parameters:
    `exceptionClass` -
  Returns:

### newEnclosingStaticJoinPoint

    public static EnclosingStaticJoinPoint newEnclosingStaticJoinPoint(Class declaringClass,
                                                                       String name,
                                                                       String description)

  Enclosing signature factory, wrapped behind an EnclosingStaticJoinPoint for syntax consistency

  Parameters:
    `declaringClass` -
    `name` -
    `description` -
  Returns:

### newStaticInitializationSignature

    public static StaticInitializerSignatureImpl newStaticInitializationSignature(Class declaringClass)

  Static initialization factory

  Parameters:
    `declaringClass` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.